%define	name	synaptics
%define	version	0.14.6
%define release %mkrel 2

Summary:	Synaptics TouchPad driver for XFree86
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://w1.894.telia.com/~u89404340/touchpad/files/%{name}-%{version}.tar.bz2
URL:		http://w1.894.telia.com/~u89404340/touchpad/index.html
License:	GPL
Group:		System/X11
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libx11-devel
BuildRequires:	x11-server-devel
BuildRequires:	libxext-devel

%description
This is a driver for the Synaptics TouchPad for XFree86 4.x.
A Synaptics touchpad by default operates in compatibility mode by emulating a
standard mouse. However, by using a dedicated driver, more advanced features of
the touchpad becomes available.
Read the %{_docdir}/%{name}-%{version}/INSTALL file for instructions.

%prep
%setup -q

%build
make clean
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} MANDIR=%{buildroot}/%{_mandir}

cat >%buildroot/%{_libdir}/xorg/modules/input/synaptics_drv.la <<EOF
# synaptics_drv.la - a hacky library file
# Generated by Mandriva RPM spec file as package does not include it.
#
# Please DO NOT delete this file!
# It is necessary for linking the library.
dlname='synaptics_drv.so'
library_names='synaptics_drv.so synaptics_drv.so synaptics_drv.so'
old_library=''
dependency_libs=''
current=0
age=0
revision=0
installed=yes
shouldnotlink=yes
dlopen=''
dlpreopen=''
libdir='%{_libdir}/xorg/modules/input'
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COMPATIBILITY INSTALL INSTALL.DE INSTALL.FR
%doc NEWS README README.alps TODO
%doc trouble-shooting.txt
%attr(0755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%attr(0755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.la
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man5/synaptics.5*



%changelog
* Wed Jan 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6-2mdv2007.0
+ Revision: 109688
- Fix BuildRequires
- Fix module loading by adding a .la file
- Update file attributes to be inline with the standard modules

  + Luca Berra <bluca@comedia.it>
    - New upstream version 0.14.6
    - New upstream version 0.14.5
    - import synaptics-0.14.4-4mdk


* Sun May 21 2006 Luca Berra <bluca@vodka.it> 0.14.4-4mdk
- fix placement of manpages (where's that brown paper bag?)

* Sat May 20 2006 Luca Berra <bluca@vodka.it> 0.14.4-3mdk
- update to build with xorg7

* Tue Apr 11 2006 Luca Berra <bluca@vodka.it> 0.14.4-2mdk
- fix placement of manpages (#21472)

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.14.4-1mdk
- New release 0.14.4
- use mkrel

* Fri Jul 22 2005 Olivier Blin <oblin@mandriva.com> 0.14.3-1mdk
- 0.14.3
- add synaptics(5) man page

* Fri Jul 15 2005 Olivier Blin <oblin@mandriva.com> 0.14.2-1mdk
- 0.14.2

* Mon Apr 18 2005 Olivier Blin <oblin@mandrakesoft.com> 0.14.1-2mdk
- remove post section, mousedrake and the installer now take care of evdev

* Sun Apr 03 2005 Luca Berra <bluca@vodka.it> 0.14.1-1mdk 
- 0.14.1

* Wed Mar 02 2005 Luca Berra <bluca@vodka.it> 0.14.0-3mdk 
- use a different method for changing modprobe.preload
- changed group to System/X11

* Wed Mar 02 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.14.0-2mdk
- fix build on x86_64

* Thu Jan 13 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.0

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13.5-2mdk
- lib64 fixes

* Sun Aug 08 2004 Luca Berra <bluca@vodka.it> 0.13.5-1mdk 
- New release 0.13.5

* Sun Aug 01 2004 Luca Berra <bluca@mandrakesoft.com> 0.13.4-1mdk
- New release 0.13.4
- removed cPad patch (merged upstream)

* Mon May 17 2004 Luca Berra <bluca@vodka.it> 0.13.2-2mdk 
- included missing readme file

* Sat May 15 2004 Luca Berra <bluca@vodka.it> 0.13.2-1mdk 
- 0.13.2
- added patch for Synaptics cPad support

* Sun May 02 2004 Olivier Blin <blino@mandrake.org> 0.13.0-2mdk
- do not add a literal \n in modprobe.preload but a real newline

* Sat May 01 2004 Luca Berra <bluca@vodka.it> 0.13.0-1mdk
- 0.13
- add evdev module to kernel 2.6

* Fri Feb 27 2004 Luca Berra <bluca@vodka.it> 0.12.4-1mdk
- 0.12.4

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-2mdk 
- buildrequires XFree86-devel (again)

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-1mdk
- 0.12.3

* Sun Jan 04 2004 Luca Berra <bluca@vodka.it> 0.12.2-1mdk
- 0.12.2

* Sat Nov 01 2003 Luca Berra <bluca@vodka.it> 0.12.0-1mdk
- Initial revision

